Summary:	A Graphical Temperature Monitor
Name:		psensor
Version:	1.2.1
Release:	%mkrel 1
URL:		https://launchpad.net/psensor
License:	GNU General Public License version 2
Group:		Monitoring
Source0:	https://launchpadlibrarian.net/112952763//%{name}-%{version}.tar.xz
Requires:	lm_sensors hddtemp
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
#-----------------------------------------
BuildRequires: %{_lib}atasmart-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtop2.0-devel
BuildRequires: %{_lib}lm_sensors5-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}microhttpd-devel
BuildRequires: %{_lib}json-devel
BuildRequires: udisks2-devel
BuildRequires: x11-proto-devel
#-----------------------------------------


%description
Psensor is a graphical hardware temperature monitor for Linux.
It is based on:
* lm-sensors for retrieving hardware temperatures
* GTK for the UI
* Cairo for the graph drawing
* NVidia library for retrieving NVidia GPUs temperature

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%__make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
%__rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS NEWS.html README README.html
%{_bindir}/psensor
%{_bindir}/psensor-server
%{_datadir}/applications/psensor.desktop
%{_datadir}/glib-2.0/schemas/psensor.gschema.xml
%{_datadir}/icons/hicolor
%{_datadir}/icons/ubuntu-mono-dark
%{_datadir}/icons/ubuntu-mono-light
%{_datadir}/man
%{_datadir}/psensor


%changelog
* Fri Jul 03 2020 tex - 1.2.1-1pclos2020
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.2.0-3pclos2017
- rebuild against updates

* Sat May 06 2017 ghostbunny <ghostbunny at gmx dot de> 1.2.0-2pclos2017
- rebuild against new libmicrohttpd
- add missing BR libmicrohttpd-devel and libjson-devel

* Fri Feb 24 2017 bb2 <bb2> - 1.2.0-1pclos2017
- new version

* Thu Oct 08 2015 <bb> 0.8.0.3-2pclos2015
- rebuild

* Tue May 05 2015 <bb> 0.8.0.3-1pclos2015
- import into pclos
